/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2009-2018                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2016                                                **
**  TU Dresden, Zentrum fuer Informationsdienste und Hochleistungsrechnen  **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


/**
 * @file
 *
 * Implements the representation and analysis of library dependencies
 */

#include "config.h"

#include <iostream>
#include <stdlib.h>
#include <cstring>

#include <cubegui_config.hpp>

#include <cubegui_config_data.hpp>
using namespace std;

#include <cubegui_config_library_dependencies_frontend_inc.hpp>

cubegui_config_data*
cubegui_config_get_frontend_data( void )
{
    static cubegui_config_data data;

    data.m_qmake                 = "/usr/lib/qt4/bin/qmake";
    data.m_cubelib_config        = "/builddir/build/BUILD/cube-4.4.3/cubegui-4.4.3/../cubelib-config";
    data.m_cc                    = " gcc";
    data.m_cxx                   = " g++";
    data.m_cppflags              = "-I/usr/include/cubegui";
    data.m_incldir               = "/usr/include/cubegui";
    data.m_use_rpath_flag        = 0;
    data.m_rpath_flag_cc         = "$wl-rpath $wl$libdir";
    data.m_wl_flag               = "-Wl,";
    data.m_aix_libpath           = "";
    data.m_sys_lib_dlsearch_path = "/lib /usr/lib ";

    deque < string > libs;
    deque < string > ldflags;
    deque < string > rpaths;
    deque < string > dependency_las;

    /* cubegui_config_library_dependencies_frontend_inc.hpp is
       generated by vendor/common/build-config/generate-library-dependency.sh */
    add_library_dependencies_frontend( libs, ldflags, rpaths, dependency_las, &data.m_la_objects );

    data.prepare_rpath_flags();

    return &data;
}
