#include <generate-library-dependencies-la-object.hpp>

static
void frontend_dependency_1( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lQtGui" );
    libs.push_back( "-lQtNetwork" );
    libs.push_back( "-lQtCore" );
    libs.push_back( "-lpthread" );
    libs.push_back( "-lcube4" );
    libs.push_back( "-lz" );
    ldflags.push_back( "-L/builddir/build/BUILD/cube-4.4.3/cubelib-4.4.3/inst/usr/lib" );
    ldflags.push_back( "-L/usr/lib" );
    rpaths.push_back( "-R/builddir/build/BUILD/cube-4.4.3/cubelib-4.4.3/inst/usr/lib" );
    rpaths.push_back( "-R/usr/lib" );
    if ( la_objects->find( "libcube4gui" ) == la_objects->end() )
    {
        (*la_objects)[ "libcube4gui" ] =
            la_object( "libcube4gui",
                       "/builddir/build/BUILD/cube-4.4.3/cubegui-4.4.3/build-frontend",
                       "/usr/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void frontend_dependency_2( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-ldbus-1" );
    libs.push_back( "-lQtGui" );
    libs.push_back( "-lQtNetwork" );
    libs.push_back( "-lQtCore" );
    libs.push_back( "-lpthread" );
    libs.push_back( "-lcube4" );
    libs.push_back( "-lz" );
    ldflags.push_back( "-L/usr/lib" );
    ldflags.push_back( "-L/builddir/build/BUILD/cube-4.4.3/cubelib-4.4.3/inst/usr/lib" );
    rpaths.push_back( "-R/usr/lib" );
    rpaths.push_back( "-R/builddir/build/BUILD/cube-4.4.3/cubelib-4.4.3/inst/usr/lib" );
    dependency_las.push_back( "libcube4gui" );
    if ( la_objects->find( "libgraphwidgetcommon-plugin" ) == la_objects->end() )
    {
        (*la_objects)[ "libgraphwidgetcommon-plugin" ] =
            la_object( "libgraphwidgetcommon-plugin",
                       "/builddir/build/BUILD/cube-4.4.3/cubegui-4.4.3/build-frontend",
                       "/usr/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void frontend_dependency_3( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, map< std::string, la_object>* la_objects )
{
    libs.clear();
    ldflags.clear();
    rpaths.clear();
    dependency_las.clear();
    libs.push_back( "-lQtGui" );
    libs.push_back( "-lQtNetwork" );
    libs.push_back( "-lQtCore" );
    libs.push_back( "-lpthread" );
    libs.push_back( "-lcube4" );
    libs.push_back( "-lz" );
    ldflags.push_back( "-L/builddir/build/BUILD/cube-4.4.3/cubelib-4.4.3/inst/usr/lib" );
    ldflags.push_back( "-L/usr/lib" );
    rpaths.push_back( "-R/builddir/build/BUILD/cube-4.4.3/cubelib-4.4.3/inst/usr/lib" );
    rpaths.push_back( "-R/usr/lib" );
    if ( la_objects->find( "libcube4gui" ) == la_objects->end() )
    {
        (*la_objects)[ "libcube4gui" ] =
            la_object( "libcube4gui",
                       "/builddir/build/BUILD/cube-4.4.3/cubegui-4.4.3/build-frontend",
                       "/usr/lib",
                       libs,
                       ldflags,
                       rpaths,
                       dependency_las );
    }
}

static
void add_library_dependencies_frontend( std::deque<std::string>& libs, std::deque<std::string>& ldflags, std::deque<std::string>& rpaths, std::deque<std::string>& dependency_las, std::map< std::string, la_object>* la_objects )
{
    frontend_dependency_1( libs, ldflags, rpaths, dependency_las, la_objects );
    frontend_dependency_2( libs, ldflags, rpaths, dependency_las, la_objects );
    frontend_dependency_3( libs, ldflags, rpaths, dependency_las, la_objects );
}
