/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2009-2018                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2016                                                **
**  TU Dresden, Zentrum fuer Informationsdienste und Hochleistungsrechnen  **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



/**
 * @file
 *
 * Implements the representation and analysis of library dependencies
 */

#include "config.h"

#include <iostream>
#include <stdlib.h>
#include <cstring>

#include <cubew_config.hpp>

#include <cubew_config_data.hpp>

using namespace std;

#include <cubew_config_library_dependencies_backend_inc.hpp>

cubew_config_data*
cubew_config_get_backend_data( void )
{
    static cubew_config_data data;

    data.m_cc                    = " gcc";
    data.m_cppflags              = "-I/usr/include/cubew";
    data.m_incldir               = "/usr/include/cubew";
    data.m_use_rpath_flag        = 0;
    data.m_rpath_flag_cc         = "$wl-rpath $wl$libdir";
    data.m_wl_flag               = "-Wl,";
    data.m_aix_libpath           = "";
    data.m_sys_lib_dlsearch_path = "/lib /usr/lib ";

    deque<string> libs;
    deque<string> ldflags;
    deque<string> rpaths;
    deque<string> dependency_las;
        
    add_library_dependencies_backend( libs, ldflags, rpaths, dependency_las, &data.m_la_objects ); 
    
    data.prepare_rpath_flags();

    return &data;
}
